<?php
/**
* @version      $Id: website_shippingtable.php
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/


include_once './core/countryhelper.class.php';

class website_shippingtable {
	
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}
		
	function run() {
		$data = CountryHelper::get_delivery_and_shipping_info_for_all_countries();
		
		$this->layout_object->assign('countries', $data);
		
		return $this->layout_object->_fetch('content_shipping_info.tpl');
	}
}
